apiVersion: "ryax.tech/v2.0"
kind: Processor
spec:
  id: nodejs-weather-lat
  human_name: NodeJS OpenWeather latitude longitude version.
  type: nodejs
  version: "0.0.12"
  logo: "logo.png"
  description: "Given latitude and longitude find weather status for geo location"
  categories:
  - OpenWeather
  - nodejs
  - latitude
  inputs:
    - help: geo location coordinates in a json string with a json containing lat and long
      human_name: geo_location
      name: geo_location
      type: longstring
    - help: measurement units
      human_name: units
      name: units
      type: enum
      enum_values:
        - metric
        - imperial
    - help: OpenWeather apiKey
      human_name: apiKey
      name: apiKey
      type: password
  outputs:
    - help: json from openwheater
      human_name: weather_json
      name: weather_json
      type: longstring
